ranges::actions::split_fn Struct Reference

## Public Types

template<typename Rng >
using | split_value_t = meta::if_c<(bool) ranges::container< Rng >, uncvref_t< Rng >, std::vector< range_value_t< Rng > >>

## Public Member Functions

template<typename T >
CPP_TEMPLATE_AUX_0 | c (requires range< T & >) ccconstexpr auto operator()(T &t) const
template<typename T >
constexpr auto | operator() (T &&t) const

## Related Functions

(Note that these are not member functions.)
constexpr split_fn | split {}